Bug 44725 - apacheconf SRPM needs build dependency on libglade-devel
Summary: apacheconf SRPM needs build dependency on libglade-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-15 18:50 UTC by Jay Turner
Modified: 2015-03-05 01:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 12:03:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-15 18:50:19 UTC
Description of Problem: with the 7.1 product, you cannot build the
apacheconf SRPM without having libglade-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/apacheconf*spec" is executed, you do NOT get an error
from rpm about missing/unsatisfied build dependencies.  If you install the
libglade-devel rpm, it the apacheconf SRPM builds without problems.

 How Reproducible: Always

 Steps to Reproduce:
 1. rpm -e libglade-devel
 2. rpm -Uvh <tree-path>/SRPMS/apacheconf*.src.rpm
 3. rpm -ba /usr/src/redhat/SPECS/apacheconf*spec
 4. rpm -Uvh <tree-path>/RedHat/RPMS/libglade-devel*
 5. rpm -ba /usr/src/redhat/SPECS/apacheconf*spec

 Actual Results:
 first 3 steps result in a failure WITHOUT a build-requires error from
rpm(1)
 next 2 steps build the SRPM without fail


 Expected Results: I would expect an rpm error message to be written to
stderr informing me the apacheconf SRPM cannot be built without installing
the libglade-devel RPM.

Additional Information:

Comment 1 Phil Knirsch 2001-06-26 16:17:29 UTC
Fixed in rawhide.

Read ya, Phil



Note You need to log in before you can comment on or make changes to this bug.